# frozen_string_literal: true
require 'test_helper'

class RecruiterMailerTest < ActionMailer::TestCase
  test "candidate_created" do
    candidate = candidates :martha
    mail = RecruiterMailer.candidate_created candidate
    assert_match candidate.name, mail.subject
    assert_equal [candidate.recruiter.email], mail.to
    assert_equal [ENV["default_mail_from"]], mail.from
    assert_match candidate.test_hash, mail.body.encoded
  end

  test "candidate_submitted" do
    candidate = candidates :elsie
    manager = users :manager
    mail = RecruiterMailer.candidate_submitted candidate
    assert_match candidate.name, mail.subject
    assert_equal [candidate.recruiter.email], mail.to
    assert_equal [ENV["default_mail_from"]], mail.from
    assert_match candidate.name, mail.body.encoded
    assert_match manager.name, mail.body.encoded
  end

  test "candidate_reviewed" do
    candidate = candidates :stacy
    mail = RecruiterMailer.candidate_reviewed candidate
    assert_match candidate.name, mail.subject
    assert_equal [candidate.recruiter.email], mail.to
    assert_equal [ENV["default_mail_from"]], mail.from
    assert_match candidate.review_status, mail.body.encoded
    assert_match candidate.name, mail.body.encoded
    assert_match candidate.review_comments, mail.body.encoded
  end
end
